## org.omg.DynamicAny
Class NameDynAnyPairHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameDynAnyPairHelper

public class NameDynAnyPairHelper
extends java.lang.Object

Helper class for : NameDynAnyPair

Author:
  OpenORB Compiler

Constructor Summary
`NameDynAnyPairHelper()`

Method Summary
`static NameDynAnyPair` `extract(Any a)` Extract NameDynAnyPair from an any
`static java.lang.String` `id()` Return the NameDynAnyPair IDL ID
`static void` `insert(Any a, NameDynAnyPair t)` Insert NameDynAnyPair into an any
`static NameDynAnyPair` `read(InputStream istream)` Read NameDynAnyPair from a marshalled stream
`static TypeCode` `type()` Return the NameDynAnyPair TypeCode
`static void` `write(OutputStream ostream, NameDynAnyPair value)` Write NameDynAnyPair into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameDynAnyPairHelper

    public NameDynAnyPairHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameDynAnyPair t)

  Insert NameDynAnyPair into an any
  Parameters:
    `a` - an any
    `t` - NameDynAnyPair value

### extract

    public static NameDynAnyPair extract(Any a)

  Extract NameDynAnyPair from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NameDynAnyPair value

### type

    public static TypeCode type()

  Return the NameDynAnyPair TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NameDynAnyPair IDL ID
  Returns:
    an ID

### read

    public static NameDynAnyPair read(InputStream istream)

  Read NameDynAnyPair from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NameDynAnyPair value

### write

    public static void write(OutputStream ostream,
                             NameDynAnyPair value)

  Write NameDynAnyPair into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NameDynAnyPair value